/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/animations';
@import '../../style/mixins';

/* Style the tab */
.nv-tab {
  @extend .transition-exit;
  opacity: 0;
  visibility: hidden;

  &.nv-tab-hidden {
    display: none;
  }

  // Show content tab
  &.nv-tab-displayed {
    display: block;
    opacity: 1;
    visibility: visible;
  }

  // Hidden content tab
  &.nv-hiding-tab {
    @include anim-helper(hiddenContTab, 'exit');

    display: block;
  }

  // Show content tab
  // We adding 100ms because wait finish exit animation
  &.nv-displaying-tab {
    @include anim-helper(showContTab, 'input', 100ms);

    display: block;
    opacity: 0;
    visibility: hidden;
  }
}

.nv-tab-content {
  display: block;
  margin-top: $space-default;
}

@keyframes hiddenContTab {
  from {
    display: block;
    opacity: 1;
    visibility: visible;
  }

  to {
    display: block;
    opacity: 0;
    visibility: hidden;
  }
}

@keyframes showContTab {
  from {
    display: block;
    opacity: 0;
    transform: translateX(4%);
    visibility: hidden;
  }

  to {
    display: block;
    opacity: 1;
    transform: translateX(0%);
    visibility: visible;
  }
}
